ch.qos.logback.core.rolling

## Class RolloverFailure

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - ch.qos.logback.core.LogbackException
        - - ch.qos.logback.core.rolling.RolloverFailure

All Implemented Interfaces:
  java.io.Serializable

    public class RolloverFailure
    extends LogbackException

A RolloverFailure occurs if, for whatever reason a rollover fails.

Author:
  Ceki Gulcu
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`RolloverFailure(java.lang.String msg)`
`RolloverFailure(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RolloverFailure

    public RolloverFailure(java.lang.String msg)

#### RolloverFailure

    public RolloverFailure(java.lang.String message,
                   java.lang.Throwable cause)